Rated Movies
curl --request GET \
--globoff \
--url 'https://api.themoviedb.org/3/account/{{account_id}}/rated/movies' \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{{account_id}}/rated/movies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{{account_id}}/rated/movies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/au3o84ub27qTZiMiEc9UYzN74V3.jpg",
"genre_ids": [
28,
878,
53
],
"id": 1035048,
"original_language": "en",
"original_title": "Elevation",
"overview": "A single father and two women venture from the safety of their homes to face monstrous creatures to save the life of a young boy.",
"popularity": 2204.744,
"poster_path": "/uQhYBxOVFU6s9agD49FnGHwJqG5.jpg",
"rating": 6,
"release_date": "2024-11-07",
"title": "Elevation",
"video": false,
"vote_average": 6.408,
"vote_count": 87
},
{
"adult": false,
"backdrop_path": "/ihPcIUUzJpLYGGNgjQ1g7ExjHLT.jpg",
"genre_ids": [],
"id": 1389586,
"original_language": "en",
"original_title": "Peace Of My Heart",
"overview": "PEACE OF MY HEART(NEW MOVIE): BRYAN OKWARA, JULIET NJEMANZE 2024 FULL NIGERIAN MOVIE",
"popularity": 0.695,
"poster_path": "/aDg2bT8zkr1JANcLbYYVgfVtj41.jpg",
"rating": 6,
"release_date": "2024-11-01",
"title": "Peace Of My Heart",
"video": false,
"vote_average": 6,
"vote_count": 1
}
],
"total_pages": 1,
"total_results": 2
}Account
Rated Movies
This endpoint retrieves a list of movies you have rated.
GET
/
3
/
account
/
{account_id}
/
rated
/
movies
Rated Movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
This represents the movie language.
This represents the page number.
Example:
"1"
This represents your session Id.
This specifies the order in which the retrieved list will be displayed.
Example:
"created_at.asc"
Response
200 - application/json
Rated Movies
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/au3o84ub27qTZiMiEc9UYzN74V3.jpg",
"genre_ids": [28, 878, 53],
"id": 1035048,
"original_language": "en",
"original_title": "Elevation",
"overview": "A single father and two women venture from the safety of their homes to face monstrous creatures to save the life of a young boy.",
"popularity": 2204.744,
"poster_path": "/uQhYBxOVFU6s9agD49FnGHwJqG5.jpg",
"rating": 6,
"release_date": "2024-11-07",
"title": "Elevation",
"video": false,
"vote_average": 6.408,
"vote_count": 87
},
{
"adult": false,
"backdrop_path": "/ihPcIUUzJpLYGGNgjQ1g7ExjHLT.jpg",
"genre_ids": [],
"id": 1389586,
"original_language": "en",
"original_title": "Peace Of My Heart",
"overview": "PEACE OF MY HEART(NEW MOVIE): BRYAN OKWARA, JULIET NJEMANZE 2024 FULL NIGERIAN MOVIE",
"popularity": 0.695,
"poster_path": "/aDg2bT8zkr1JANcLbYYVgfVtj41.jpg",
"rating": 6,
"release_date": "2024-11-01",
"title": "Peace Of My Heart",
"video": false,
"vote_average": 6,
"vote_count": 1
}
]
Example:
1
Example:
2
⌘I